Issue 117039 - delete row has no undo in attached document
Summary: delete row has no undo in attached document
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: editing (show other issues)
Version: DEV300m99
Hardware: PC Windows XP
: P3 Trivial (vote)
Target Milestone: 3.4.0
Assignee: marc.neumann
QA Contact: issues@sc
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2011-02-21 12:48 UTC by Regina Henschel
Modified: 2017-05-20 10:30 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
delete row has no undo (15.38 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-02-21 12:48 UTC, Regina Henschel
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2011-02-21 12:48:06 UTC
Open attached document.
View -> Page Break Preview.
Click on row header of row 16.
Right-click on row header of row 16.
Choose "delete row".
Notice, that you cannot undo that action, neither via toolbar nor with shortcut.
Comment 1 Regina Henschel 2011-02-21 12:48:50 UTC
Created attachment 75906 [details]
delete row has no undo
Comment 2 niklas.nebel 2011-02-28 09:23:13 UTC
This is the problem with SfxUndoManager::EnableUndo's changed behavior.
Comment 3 Frank Schönheit 2011-03-16 07:29:59 UTC
fixed in CWS fs34b
Comment 4 Frank Schönheit 2011-03-29 08:24:28 UTC
fs->oc: please verify in CWS fs34b
Comment 5 marc.neumann 2011-03-31 08:12:43 UTC
verified in cws fs34b
Comment 6 marc.neumann 2011-03-31 09:08:13 UTC
test c_printrange.bas run without problems -> verified.